summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichael Palimaka <kensington@gentoo.org>2016-10-29 02:13:08 +1100
committerMichael Palimaka <kensington@gentoo.org>2016-10-29 02:13:52 +1100
commite266453c3497fd66a3e579e80fc1c4510b254666 (patch)
tree162ac0a20737556f926c53c1c0beba83ab15f37e
parentnet-im/psimedia: drop ppc64 to testing (diff)
downloadgentoo-e266453c3497fd66a3e579e80fc1c4510b254666.tar.gz
gentoo-e266453c3497fd66a3e579e80fc1c4510b254666.tar.bz2
gentoo-e266453c3497fd66a3e579e80fc1c4510b254666.zip
app-crypt/qca: rename openssl USE flag -> ssl
Gentoo-bug: 592706 Package-Manager: portage-2.3.2
-rw-r--r--app-crypt/qca/metadata.xml1
-rw-r--r--app-crypt/qca/qca-2.1.1-r1.ebuild12
-rw-r--r--app-crypt/qca/qca-2.1.1.ebuild12
-rw-r--r--dev-libs/qoauth/qoauth-1.0.1.ebuild2
-rw-r--r--dev-libs/qoauth/qoauth-2.0.1_pre20160315.ebuild2
-rw-r--r--kde-apps/kopete/kopete-16.04.3.ebuild4
-rw-r--r--kde-apps/kopete/kopete-16.08.2.ebuild4
-rw-r--r--kde-apps/ktp-auth-handler/ktp-auth-handler-16.04.3.ebuild2
-rw-r--r--kde-apps/ktp-auth-handler/ktp-auth-handler-16.08.2.ebuild2
-rw-r--r--kde-base/kdeplasma-addons/kdeplasma-addons-4.14.3-r1.ebuild2
-rw-r--r--kde-misc/kdeconnect/kdeconnect-0.8-r1.ebuild2
-rw-r--r--kde-misc/kdeconnect/kdeconnect-0.9g.ebuild2
-rw-r--r--kde-misc/kdeconnect/kdeconnect-1.0.1.ebuild2
-rw-r--r--kde-misc/kdeconnect/kdeconnect-1.0.ebuild2
-rw-r--r--media-sound/tomahawk/tomahawk-0.8.4-r3.ebuild2
-rw-r--r--media-sound/tomahawk/tomahawk-9999.ebuild2
-rw-r--r--net-im/dianara/dianara-1.3.1-r1.ebuild2
-rw-r--r--net-im/dianara/dianara-1.3.3.ebuild2
-rw-r--r--net-im/kadu/kadu-0.12.3.ebuild2
-rw-r--r--net-im/kadu/kadu-2.1-r1.ebuild2
-rw-r--r--net-im/kadu/kadu-3.0.ebuild2
-rw-r--r--net-im/psi/psi-0.15.ebuild4
-rw-r--r--net-im/psi/psi-9999.ebuild4
-rw-r--r--net-im/qutim/qutim-0.3.2.ebuild2
-rw-r--r--net-im/qutim/qutim-0.3.3_p1.ebuild2
-rw-r--r--net-irc/konversation/konversation-1.6.2.ebuild2
-rw-r--r--net-irc/quassel/quassel-0.12.4.ebuild4
-rw-r--r--net-irc/quassel/quassel-9999.ebuild2
-rw-r--r--sci-geosciences/qgis/qgis-2.12.1.ebuild2
-rw-r--r--sci-geosciences/qgis/qgis-2.12.2.ebuild2
-rw-r--r--sci-geosciences/qgis/qgis-2.14.5.ebuild2
-rw-r--r--sys-auth/fingerprint-gui/fingerprint-gui-1.07.ebuild2
32 files changed, 46 insertions, 47 deletions
diff --git a/app-crypt/qca/metadata.xml b/app-crypt/qca/metadata.xml
index a92ea3e2cd6..dff1320aa6b 100644
--- a/app-crypt/qca/metadata.xml
+++ b/app-crypt/qca/metadata.xml
@@ -19,7 +19,6 @@
<flag name="gpg">Enable GnuPG plugin</flag>
<flag name="logger">Enable logger plugin</flag>
<flag name="nss">Enable NSS plugin</flag>
- <flag name="openssl">Enable OpenSSL plugin</flag>
<flag name="pkcs11">Enable PKCS#11 plugin</flag>
<flag name="sasl">Enable SASL plugin</flag>
<flag name="softstore">Enable softstore plugin</flag>
diff --git a/app-crypt/qca/qca-2.1.1-r1.ebuild b/app-crypt/qca/qca-2.1.1-r1.ebuild
index ff969a70208..0ad3980c8f3 100644
--- a/app-crypt/qca/qca-2.1.1-r1.ebuild
+++ b/app-crypt/qca/qca-2.1.1-r1.ebuild
@@ -14,7 +14,7 @@ LICENSE="LGPL-2.1"
SLOT="2"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~sparc-solaris"
-IUSE="botan debug doc examples gcrypt gpg libressl logger nss +openssl pkcs11 +qt4 qt5 sasl softstore test"
+IUSE="botan debug doc examples gcrypt gpg libressl logger nss pkcs11 +qt4 qt5 sasl softstore +ssl test"
REQUIRED_USE="|| ( qt4 qt5 )"
RDEPEND="
@@ -27,10 +27,6 @@ RDEPEND="
gcrypt? ( dev-libs/libgcrypt:= )
gpg? ( app-crypt/gnupg )
nss? ( dev-libs/nss )
- openssl? (
- !libressl? ( >=dev-libs/openssl-1.0.1:0= )
- libressl? ( dev-libs/libressl:= )
- )
pkcs11? (
!libressl? ( dev-libs/openssl:0 )
libressl? ( dev-libs/libressl )
@@ -43,6 +39,10 @@ RDEPEND="
dev-qt/qtnetwork:5
)
sasl? ( dev-libs/cyrus-sasl:2 )
+ ssl? (
+ !libressl? ( >=dev-libs/openssl-1.0.1:0= )
+ libressl? ( dev-libs/libressl:= )
+ )
"
DEPEND="${RDEPEND}
doc? ( app-doc/doxygen )
@@ -78,10 +78,10 @@ src_configure() {
$(qca_plugin_use gpg gnupg)
$(qca_plugin_use logger)
$(qca_plugin_use nss)
- $(qca_plugin_use openssl ossl)
$(qca_plugin_use pkcs11)
$(qca_plugin_use sasl cyrus-sasl)
$(qca_plugin_use softstore)
+ $(qca_plugin_use ssl ossl)
-DBUILD_TESTS=$(usex test)
)
diff --git a/app-crypt/qca/qca-2.1.1.ebuild b/app-crypt/qca/qca-2.1.1.ebuild
index 3ac1973e96e..81e1b32b344 100644
--- a/app-crypt/qca/qca-2.1.1.ebuild
+++ b/app-crypt/qca/qca-2.1.1.ebuild
@@ -14,7 +14,7 @@ LICENSE="LGPL-2.1"
SLOT="2"
KEYWORDS="alpha amd64 ~arm ~arm64 hppa ~ia64 ppc ~ppc64 ~sparc x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~sparc-solaris"
-IUSE="botan debug doc examples gcrypt gpg libressl logger nss +openssl pkcs11 +qt4 qt5 sasl softstore test"
+IUSE="botan debug doc examples gcrypt gpg libressl logger nss pkcs11 +qt4 qt5 sasl softstore +ssl test"
REQUIRED_USE="|| ( qt4 qt5 )"
RDEPEND="
@@ -27,10 +27,6 @@ RDEPEND="
gcrypt? ( dev-libs/libgcrypt:= )
gpg? ( app-crypt/gnupg )
nss? ( dev-libs/nss )
- openssl? (
- !libressl? ( >=dev-libs/openssl-1.0.1:0= )
- libressl? ( dev-libs/libressl:= )
- )
pkcs11? (
!libressl? ( dev-libs/openssl:0 )
libressl? ( dev-libs/libressl )
@@ -43,6 +39,10 @@ RDEPEND="
dev-qt/qtnetwork:5
)
sasl? ( dev-libs/cyrus-sasl:2 )
+ ssl? (
+ !libressl? ( >=dev-libs/openssl-1.0.1:0= )
+ libressl? ( dev-libs/libressl:= )
+ )
"
DEPEND="${RDEPEND}
doc? ( app-doc/doxygen )
@@ -76,10 +76,10 @@ src_configure() {
$(qca_plugin_use gpg gnupg)
$(qca_plugin_use logger)
$(qca_plugin_use nss)
- $(qca_plugin_use openssl ossl)
$(qca_plugin_use pkcs11)
$(qca_plugin_use sasl cyrus-sasl)
$(qca_plugin_use softstore)
+ $(qca_plugin_use ssl ossl)
$(cmake-utils_use_build test TESTS)
)
diff --git a/dev-libs/qoauth/qoauth-1.0.1.ebuild b/dev-libs/qoauth/qoauth-1.0.1.ebuild
index 7e6cf33b06d..7ab3be45fda 100644
--- a/dev-libs/qoauth/qoauth-1.0.1.ebuild
+++ b/dev-libs/qoauth/qoauth-1.0.1.ebuild
@@ -21,7 +21,7 @@ DEPEND="${COMMON_DEPEND}
test? ( dev-qt/qttest:4 )
"
RDEPEND="${COMMON_DEPEND}
- app-crypt/qca:2[openssl]
+ app-crypt/qca:2[ssl]
"
S=${WORKDIR}/${P}-src
diff --git a/dev-libs/qoauth/qoauth-2.0.1_pre20160315.ebuild b/dev-libs/qoauth/qoauth-2.0.1_pre20160315.ebuild
index d9ab014a98a..9ffd03826a1 100644
--- a/dev-libs/qoauth/qoauth-2.0.1_pre20160315.ebuild
+++ b/dev-libs/qoauth/qoauth-2.0.1_pre20160315.ebuild
@@ -21,7 +21,7 @@ DEPEND="${COMMON_DEPEND}
test? ( dev-qt/qttest:5 )
"
RDEPEND="${COMMON_DEPEND}
- app-crypt/qca:2[openssl]
+ app-crypt/qca:2[ssl]
!dev-libs/qoauth:0
"
diff --git a/kde-apps/kopete/kopete-16.04.3.ebuild b/kde-apps/kopete/kopete-16.04.3.ebuild
index c2225f7f3c1..8de370f18e9 100644
--- a/kde-apps/kopete/kopete-16.04.3.ebuild
+++ b/kde-apps/kopete/kopete-16.04.3.ebuild
@@ -107,7 +107,7 @@ RDEPEND="${COMMONDEPEND}
)
virtual/latex-base
)
- ssl? ( app-crypt/qca:2[openssl] )
+ ssl? ( app-crypt/qca:2[ssl] )
winpopup? ( net-fs/samba )
"
DEPEND="${COMMONDEPEND}
@@ -150,7 +150,7 @@ pkg_postinst() {
if ! use ssl; then
if use xmpp ; then # || use irc; then
- if ! has_version "app-crypt/qca:2[openssl]" ; then
+ if ! has_version "app-crypt/qca:2[ssl]" ; then
elog "In order to use ssl in xmpp you'll need to"
elog "install app-crypt/qca package with USE=openssl."
fi
diff --git a/kde-apps/kopete/kopete-16.08.2.ebuild b/kde-apps/kopete/kopete-16.08.2.ebuild
index cd117ceb710..f23beed1770 100644
--- a/kde-apps/kopete/kopete-16.08.2.ebuild
+++ b/kde-apps/kopete/kopete-16.08.2.ebuild
@@ -107,7 +107,7 @@ RDEPEND="${COMMONDEPEND}
)
virtual/latex-base
)
- ssl? ( app-crypt/qca:2[openssl] )
+ ssl? ( app-crypt/qca:2[ssl] )
winpopup? ( net-fs/samba )
"
DEPEND="${COMMONDEPEND}
@@ -150,7 +150,7 @@ pkg_postinst() {
if ! use ssl; then
if use xmpp ; then # || use irc; then
- if ! has_version "app-crypt/qca:2[openssl]" ; then
+ if ! has_version "app-crypt/qca:2[ssl]" ; then
elog "In order to use ssl in xmpp you'll need to"
elog "install app-crypt/qca package with USE=openssl."
fi
diff --git a/kde-apps/ktp-auth-handler/ktp-auth-handler-16.04.3.ebuild b/kde-apps/ktp-auth-handler/ktp-auth-handler-16.04.3.ebuild
index 5db6695affc..b90d3aa7d79 100644
--- a/kde-apps/ktp-auth-handler/ktp-auth-handler-16.04.3.ebuild
+++ b/kde-apps/ktp-auth-handler/ktp-auth-handler-16.04.3.ebuild
@@ -35,6 +35,6 @@ DEPEND="${COMMON_DEPEND}
$(add_frameworks_dep kdewebkit)
"
RDEPEND="${COMMON_DEPEND}
- app-crypt/qca:2[openssl]
+ app-crypt/qca:2[ssl]
!kde-apps/ktp-auth-handler:4
"
diff --git a/kde-apps/ktp-auth-handler/ktp-auth-handler-16.08.2.ebuild b/kde-apps/ktp-auth-handler/ktp-auth-handler-16.08.2.ebuild
index 252e8a6ca28..ea3649807bc 100644
--- a/kde-apps/ktp-auth-handler/ktp-auth-handler-16.08.2.ebuild
+++ b/kde-apps/ktp-auth-handler/ktp-auth-handler-16.08.2.ebuild
@@ -35,6 +35,6 @@ DEPEND="${COMMON_DEPEND}
$(add_frameworks_dep kdewebkit)
"
RDEPEND="${COMMON_DEPEND}
- app-crypt/qca:2[openssl]
+ app-crypt/qca:2[ssl]
!kde-apps/ktp-auth-handler:4
"
diff --git a/kde-base/kdeplasma-addons/kdeplasma-addons-4.14.3-r1.ebuild b/kde-base/kdeplasma-addons/kdeplasma-addons-4.14.3-r1.ebuild
index 3381ab5ec53..3ff39531cca 100644
--- a/kde-base/kdeplasma-addons/kdeplasma-addons-4.14.3-r1.ebuild
+++ b/kde-base/kdeplasma-addons/kdeplasma-addons-4.14.3-r1.ebuild
@@ -38,7 +38,7 @@ DEPEND="${COMMON_DEPEND}
eigen? ( dev-cpp/eigen:2 )
"
RDEPEND="${COMMON_DEPEND}
- app-crypt/qca:2[openssl]
+ app-crypt/qca:2[ssl]
"
src_configure() {
diff --git a/kde-misc/kdeconnect/kdeconnect-0.8-r1.ebuild b/kde-misc/kdeconnect/kdeconnect-0.8-r1.ebuild
index f19a55a86cc..79c6c133b39 100644
--- a/kde-misc/kdeconnect/kdeconnect-0.8-r1.ebuild
+++ b/kde-misc/kdeconnect/kdeconnect-0.8-r1.ebuild
@@ -34,7 +34,7 @@ COMMON_DEPEND="
"
RDEPEND="${COMMON_DEPEND}
$(add_kdebase_dep plasma-workspace)
- app-crypt/qca:2[openssl]
+ app-crypt/qca:2[ssl]
"
DEPEND="${COMMON_DEPEND}
sys-devel/gettext
diff --git a/kde-misc/kdeconnect/kdeconnect-0.9g.ebuild b/kde-misc/kdeconnect/kdeconnect-0.9g.ebuild
index 5b40e3ea816..455bce65bb0 100644
--- a/kde-misc/kdeconnect/kdeconnect-0.9g.ebuild
+++ b/kde-misc/kdeconnect/kdeconnect-0.9g.ebuild
@@ -35,7 +35,7 @@ DEPEND="
$(add_qt_dep qtnetwork)
$(add_qt_dep qtwidgets)
$(add_qt_dep qtx11extras)
- >=app-crypt/qca-2.1.0:2[qt5,openssl]
+ >=app-crypt/qca-2.1.0:2[qt5,ssl]
x11-libs/libfakekey
x11-libs/libX11
x11-libs/libXtst
diff --git a/kde-misc/kdeconnect/kdeconnect-1.0.1.ebuild b/kde-misc/kdeconnect/kdeconnect-1.0.1.ebuild
index 55a4a868546..059974198b2 100644
--- a/kde-misc/kdeconnect/kdeconnect-1.0.1.ebuild
+++ b/kde-misc/kdeconnect/kdeconnect-1.0.1.ebuild
@@ -35,7 +35,7 @@ DEPEND="
$(add_qt_dep qtnetwork)
$(add_qt_dep qtwidgets)
$(add_qt_dep qtx11extras)
- >=app-crypt/qca-2.1.0:2[qt5,openssl]
+ >=app-crypt/qca-2.1.0:2[qt5,ssl]
x11-libs/libfakekey
x11-libs/libX11
x11-libs/libXtst
diff --git a/kde-misc/kdeconnect/kdeconnect-1.0.ebuild b/kde-misc/kdeconnect/kdeconnect-1.0.ebuild
index 656cdadd097..340851076ad 100644
--- a/kde-misc/kdeconnect/kdeconnect-1.0.ebuild
+++ b/kde-misc/kdeconnect/kdeconnect-1.0.ebuild
@@ -35,7 +35,7 @@ DEPEND="
$(add_qt_dep qtnetwork)
$(add_qt_dep qtwidgets)
$(add_qt_dep qtx11extras)
- >=app-crypt/qca-2.1.0:2[qt5,openssl]
+ >=app-crypt/qca-2.1.0:2[qt5,ssl]
x11-libs/libfakekey
x11-libs/libX11
x11-libs/libXtst
diff --git a/media-sound/tomahawk/tomahawk-0.8.4-r3.ebuild b/media-sound/tomahawk/tomahawk-0.8.4-r3.ebuild
index 57847fea39e..e11b09b825b 100644
--- a/media-sound/tomahawk/tomahawk-0.8.4-r3.ebuild
+++ b/media-sound/tomahawk/tomahawk-0.8.4-r3.ebuild
@@ -70,7 +70,7 @@ DEPEND="
)
"
RDEPEND="${DEPEND}
- app-crypt/qca:2[openssl]
+ app-crypt/qca:2[ssl]
"
DOCS=( AUTHORS ChangeLog README.md )
diff --git a/media-sound/tomahawk/tomahawk-9999.ebuild b/media-sound/tomahawk/tomahawk-9999.ebuild
index c3d5f0cf100..62a586d1f41 100644
--- a/media-sound/tomahawk/tomahawk-9999.ebuild
+++ b/media-sound/tomahawk/tomahawk-9999.ebuild
@@ -53,7 +53,7 @@ DEPEND="${CDEPEND}
$(add_qt_dep qtconcurrent)
"
RDEPEND="${CDEPEND}
- app-crypt/qca:2[openssl]
+ app-crypt/qca:2[ssl]
"
DOCS=( AUTHORS ChangeLog README.md )
diff --git a/net-im/dianara/dianara-1.3.1-r1.ebuild b/net-im/dianara/dianara-1.3.1-r1.ebuild
index 39ff62cdc3d..3eb708071f7 100644
--- a/net-im/dianara/dianara-1.3.1-r1.ebuild
+++ b/net-im/dianara/dianara-1.3.1-r1.ebuild
@@ -17,7 +17,7 @@ KEYWORDS="amd64 x86"
IUSE=""
RDEPEND="
- >=app-crypt/qca-2.1.0.3:2[openssl,qt4]
+ >=app-crypt/qca-2.1.0.3:2[qt4,ssl]
dev-libs/qjson
dev-libs/qoauth:0
dev-qt/qtcore:4[ssl]
diff --git a/net-im/dianara/dianara-1.3.3.ebuild b/net-im/dianara/dianara-1.3.3.ebuild
index 53368f39ef9..8d5a48ad079 100644
--- a/net-im/dianara/dianara-1.3.3.ebuild
+++ b/net-im/dianara/dianara-1.3.3.ebuild
@@ -17,7 +17,7 @@ KEYWORDS="~amd64 ~x86"
IUSE=""
RDEPEND="
- >=app-crypt/qca-2.1.0.3:2[openssl,qt4]
+ >=app-crypt/qca-2.1.0.3:2[qt4,ssl]
dev-libs/qjson
dev-libs/qoauth:0
dev-qt/qtcore:4[ssl]
diff --git a/net-im/kadu/kadu-0.12.3.ebuild b/net-im/kadu/kadu-0.12.3.ebuild
index 62625bd434b..dda9889938f 100644
--- a/net-im/kadu/kadu-0.12.3.ebuild
+++ b/net-im/kadu/kadu-0.12.3.ebuild
@@ -56,7 +56,7 @@ DEPEND="${COMMON_DEPEND}
x11-proto/xproto
"
RDEPEND="${COMMON_DEPEND}
- app-crypt/qca:2[openssl]
+ app-crypt/qca:2[ssl]
>=dev-qt/qtsvg-4.7.0:4
speech? ( app-accessibility/powiedz )
"
diff --git a/net-im/kadu/kadu-2.1-r1.ebuild b/net-im/kadu/kadu-2.1-r1.ebuild
index 1e6a062d1b2..98fa5943e87 100644
--- a/net-im/kadu/kadu-2.1-r1.ebuild
+++ b/net-im/kadu/kadu-2.1-r1.ebuild
@@ -23,7 +23,7 @@ REQUIRED_USE="
)
"
COMMON_DEPEND="
- app-crypt/qca:2[openssl,qt5]
+ app-crypt/qca:2[qt5,ssl]
>=dev-libs/injeqt-1.0.0
>=dev-qt/qtcore-5.2.0:5
>=dev-qt/qtdbus-5.2.0:5
diff --git a/net-im/kadu/kadu-3.0.ebuild b/net-im/kadu/kadu-3.0.ebuild
index 349fd496a00..d1fcd8d6533 100644
--- a/net-im/kadu/kadu-3.0.ebuild
+++ b/net-im/kadu/kadu-3.0.ebuild
@@ -23,7 +23,7 @@ REQUIRED_USE="
)
"
COMMON_DEPEND="
- app-crypt/qca:2[openssl,qt5]
+ app-crypt/qca:2[qt5,ssl]
>=dev-libs/injeqt-1.0.0
>=dev-qt/qtcore-5.2.0:5
>=dev-qt/qtdbus-5.2.0:5
diff --git a/net-im/psi/psi-0.15.ebuild b/net-im/psi/psi-0.15.ebuild
index 8fd8d7001b8..c40955e53fa 100644
--- a/net-im/psi/psi-0.15.ebuild
+++ b/net-im/psi/psi-0.15.ebuild
@@ -42,9 +42,9 @@ PDEPEND="
crypt? ( app-crypt/qca:2[gpg] )
jingle? (
net-im/psimedia
- app-crypt/qca:2[openssl]
+ app-crypt/qca:2[ssl]
)
- ssl? ( app-crypt/qca:2[openssl] )
+ ssl? ( app-crypt/qca:2[ssl] )
"
DOC_CONTENTS='Psi+ support(USE="extras") was removed from ebuild since 0.15'
diff --git a/net-im/psi/psi-9999.ebuild b/net-im/psi/psi-9999.ebuild
index a54aea898b5..0bb8cc4ac2c 100644
--- a/net-im/psi/psi-9999.ebuild
+++ b/net-im/psi/psi-9999.ebuild
@@ -58,9 +58,9 @@ PDEPEND="
crypt? ( app-crypt/qca:2[gpg] )
jingle? (
net-im/psimedia
- app-crypt/qca:2[openssl]
+ app-crypt/qca:2[ssl]
)
- ssl? ( app-crypt/qca:2[openssl] )
+ ssl? ( app-crypt/qca:2[ssl] )
"
RESTRICT="test"
diff --git a/net-im/qutim/qutim-0.3.2.ebuild b/net-im/qutim/qutim-0.3.2.ebuild
index 0b181f6a00f..87b71a613f2 100644
--- a/net-im/qutim/qutim-0.3.2.ebuild
+++ b/net-im/qutim/qutim-0.3.2.ebuild
@@ -91,7 +91,7 @@ DEPEND="${CDEPEND}
"
RDEPEND="${CDEPEND}
xmpp? ( app-crypt/qca:2[gpg] )
- oscar? ( app-crypt/qca:2[openssl] )
+ oscar? ( app-crypt/qca:2[ssl] )
kde-frameworks/oxygen-icons
"
diff --git a/net-im/qutim/qutim-0.3.3_p1.ebuild b/net-im/qutim/qutim-0.3.3_p1.ebuild
index e6b81d259ac..611370eaf8b 100644
--- a/net-im/qutim/qutim-0.3.3_p1.ebuild
+++ b/net-im/qutim/qutim-0.3.3_p1.ebuild
@@ -87,7 +87,7 @@ DEPEND="${CDEPEND}
"
RDEPEND="${CDEPEND}
xmpp? ( app-crypt/qca:2[gpg] )
- oscar? ( app-crypt/qca:2[openssl] )
+ oscar? ( app-crypt/qca:2[ssl] )
kde-frameworks/oxygen-icons
"
diff --git a/net-irc/konversation/konversation-1.6.2.ebuild b/net-irc/konversation/konversation-1.6.2.ebuild
index 9c940caad53..6b2e7f95296 100644
--- a/net-irc/konversation/konversation-1.6.2.ebuild
+++ b/net-irc/konversation/konversation-1.6.2.ebuild
@@ -54,7 +54,7 @@ DEPEND="
"
RDEPEND="${DEPEND}
!net-irc/konversation:4
- crypt? ( app-crypt/qca:2[openssl] )
+ crypt? ( app-crypt/qca:2[ssl] )
"
src_configure() {
diff --git a/net-irc/quassel/quassel-0.12.4.ebuild b/net-irc/quassel/quassel-0.12.4.ebuild
index cb9c20dcd26..c5434745d99 100644
--- a/net-irc/quassel/quassel-0.12.4.ebuild
+++ b/net-irc/quassel/quassel-0.12.4.ebuild
@@ -22,13 +22,13 @@ snorenotify +ssl syslog webkit X"
SERVER_RDEPEND="
qt5? (
dev-qt/qtscript:5
- crypt? ( app-crypt/qca:2[openssl,qt5] )
+ crypt? ( app-crypt/qca:2[qt5,ssl] )
postgres? ( dev-qt/qtsql:5[postgres] )
!postgres? ( dev-qt/qtsql:5[sqlite] dev-db/sqlite:3[threadsafe(+),-secure-delete] )
)
!qt5? (
dev-qt/qtscript:4
- crypt? ( app-crypt/qca:2[openssl,qt4(+)] )
+ crypt? ( app-crypt/qca:2[qt4(+),ssl] )
postgres? ( dev-qt/qtsql:4[postgres] )
!postgres? ( dev-qt/qtsql:4[sqlite] dev-db/sqlite:3[threadsafe(+),-secure-delete] )
)
diff --git a/net-irc/quassel/quassel-9999.ebuild b/net-irc/quassel/quassel-9999.ebuild
index 3a862b1fd47..c7dda72a2ce 100644
--- a/net-irc/quassel/quassel-9999.ebuild
+++ b/net-irc/quassel/quassel-9999.ebuild
@@ -20,7 +20,7 @@ IUSE="+breeze crypt +dbus debug kde monolithic oxygen postgres +server snorenoti
SERVER_RDEPEND="
dev-qt/qtscript:5
- crypt? ( app-crypt/qca:2[openssl,qt5] )
+ crypt? ( app-crypt/qca:2[qt5,ssl] )
postgres? ( dev-qt/qtsql:5[postgres] )
!postgres? ( dev-qt/qtsql:5[sqlite] dev-db/sqlite:3[threadsafe(+),-secure-delete] )
syslog? ( virtual/logger )
diff --git a/sci-geosciences/qgis/qgis-2.12.1.ebuild b/sci-geosciences/qgis/qgis-2.12.1.ebuild
index 119b1cd1a41..04e08ccc06a 100644
--- a/sci-geosciences/qgis/qgis-2.12.1.ebuild
+++ b/sci-geosciences/qgis/qgis-2.12.1.ebuild
@@ -55,7 +55,7 @@ RDEPEND="
)
dev-db/sqlite:3
dev-db/spatialite
- app-crypt/qca:2[qt4,openssl]
+ app-crypt/qca:2[qt4,ssl]
"
DEPEND="${RDEPEND}
diff --git a/sci-geosciences/qgis/qgis-2.12.2.ebuild b/sci-geosciences/qgis/qgis-2.12.2.ebuild
index 4d017ca344c..01573b3bff0 100644
--- a/sci-geosciences/qgis/qgis-2.12.2.ebuild
+++ b/sci-geosciences/qgis/qgis-2.12.2.ebuild
@@ -62,7 +62,7 @@ RDEPEND="
)
dev-db/sqlite:3
dev-db/spatialite
- app-crypt/qca:2[qt4,openssl]
+ app-crypt/qca:2[qt4,ssl]
"
DEPEND="${RDEPEND}
diff --git a/sci-geosciences/qgis/qgis-2.14.5.ebuild b/sci-geosciences/qgis/qgis-2.14.5.ebuild
index e5d9e34c92f..d4088cdc5a2 100644
--- a/sci-geosciences/qgis/qgis-2.14.5.ebuild
+++ b/sci-geosciences/qgis/qgis-2.14.5.ebuild
@@ -64,7 +64,7 @@ RDEPEND="
)
dev-db/sqlite:3
dev-db/spatialite
- app-crypt/qca:2[qt4,openssl]
+ app-crypt/qca:2[qt4,ssl]
"
DEPEND="${RDEPEND}
diff --git a/sys-auth/fingerprint-gui/fingerprint-gui-1.07.ebuild b/sys-auth/fingerprint-gui/fingerprint-gui-1.07.ebuild
index e7d244d60a4..4e2cf030a3d 100644
--- a/sys-auth/fingerprint-gui/fingerprint-gui-1.07.ebuild
+++ b/sys-auth/fingerprint-gui/fingerprint-gui-1.07.ebuild
@@ -16,7 +16,7 @@ SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE="+upekbsapi"
-DEPEND="app-crypt/qca:2[openssl,qt4(+)]
+DEPEND="app-crypt/qca:2[qt4(+),ssl]
sys-auth/libfprint
sys-auth/polkit-qt[qt4(+)]
sys-libs/pam